Kerbal Space Program - Bug #24530

Servos on Symetry Always Angle at 0* When Not Using Full Rotation
12/23/2019 04:41 PM - C7-Aerospace-Division

Status: Duplicate Start date: 12/23/2019
Severity: Low % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 1.8.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground

Description

A little while ago while using making history and breaking ground | decided to make a VTOL jump jet using the F-12 servo. | played a
servo on either side of a fuel tank with an engine on one side and a hidden air intake on the other (so the engine receives air when
moving straight up). This worked quite well but today | tried to make it work as a Duna landing craft by replacing liquid fuel tanks with
rocket fuel tanks and adding aerospike engines instead. In the first version, | had to limit the possible angles to 0*-177* of rotation (for
some reason it only goes to 177, not 180...). This was fine in the Kerbin version but when | changed it so it had rocket engines and |
set the rotation to be limited (clicking off "allow full rotation") the left side servo works as intended but the right side servo always
returned to 0* (even when in the SPH | set the servo to start at 90*). After some troubleshooting, | saw that this occurs with several
servos and the only thing that seems to make any difference is if full rotation is not allowed. It's not an issue of power supply or using
struts/autostrut. If | allow full rotation it works perfectly as intended but of course, | want to have the option of limiting the rotation
allowed. So to put it all simply when | have a servo on symmetry with full rotation turned off, the right side servo (no matter which side
| place the servo on) will always be angeled at 0*. P.S. If | click invert direction while in a flight it will start to rotate (in the inverted
direction) and at about halfway!! there it will turn around and head back to 0*.

Related issues:
Related to Kerbal Space Program - Bug #24967: angle limit on servos are not m... Resolved 03/04/2020

History

#1 - 12/29/2019 10:55 AM - dok_377
Duplicate of #24334

#2 - 03/17/2020 05:24 PM - victorr

- Related to Bug #24967: angle limit on servos are not mirrored with mirror symmetry added

#3 - 03/17/2020 05:24 PM - victorr
- Status changed from New to Duplicate

- % Done changed from 0 to 100
